Subject: Re: bug#16874: 24.3.50; Regression in active window detection

From: Donald Curtis <[email-masked]>
Date: Thu, 6 Mar 2014 22:31:37 -0800

apologies for taking my sweet time in responding.

so what I am trying to do is set the modeline to be a bit different
depending on which window is currently selected. as it stands, there is a
`mode-line` face and a `mode-line-inactive face`. somehow emacs changes the
default face for each mode-line depending on whether it is for the "active"
window or not. I want to be able to customize other parts of the mode-line
depending on whether it is selected or not.

for example, you cannot make the `mode-line-buffer-id` face different
depending on whether its being displayed in the active window or not.

so the code I had written was able to detect whether the mode-line was
being displayed in the active window or not.

now that things have changed, my code falls on its face. the currently
suggested method is to wrap advice around the "select-window" function and
add a few hooks.